# Uses of Record Class
org.apache.lucene.facet.FacetsCollector.MatchingDocs

Packages that use FacetsCollector.MatchingDocs
Package
Description
org.apache.lucene.facet
Faceted search.

- ## Uses of FacetsCollector.MatchingDocs in org.apache.lucene.facet

  Methods in org.apache.lucene.facet that return types with arguments of type FacetsCollector.MatchingDocs
  Modifier and Type
  Method
  Description
  `List<FacetsCollector.MatchingDocs>`
  FacetsCollector.`getMatchingDocs()`
  Returns the documents matched by the query, one `FacetsCollector.MatchingDocs` per visited segment.
  `List<FacetsCollector.MatchingDocs>`
  RandomSamplingFacetsCollector.`getMatchingDocs()`
  Returns the sampled list of the matching documents.
  `List<FacetsCollector.MatchingDocs>`
  RandomSamplingFacetsCollector.`getOriginalMatchingDocs()`
  Returns the original matching documents.
  Methods in org.apache.lucene.facet with parameters of type FacetsCollector.MatchingDocs
  Modifier and Type
  Method
  Description
  `protected DocIdSetIterator`
  FacetCountsWithFilterQuery.`createIterator(FacetsCollector.MatchingDocs hits, DocIdSetIterator... iterators)`
  Create a `DocIdSetIterator` from the provided `hits` that relies on `fastMatchQuery` if available for first-pass filtering.